CC=gcc
CFLAGS=-Wall

demo:
	$(CC) $(CFLAGS) -nolibc -nostdlib -O0 demo.c -o build/demo

prog1:
	$(CC) $(CFLAGS) prog1.c -o build/prog1

prog2:
	$(CC) $(CFLAGS) prog2.c -o build/prog2

prog3:
	$(CC) $(CFLAGS) prog3.c -o build/prog3

prog4:
	$(CC) $(CFLAGS) prog4.c -o build/prog4
